Skip to content
GitHubLogin

Create a Response

POST
/v1/responses
object
background
boolean | null
conversation
One of:
null
include
array | null
Allowed values: code_interpreter_call.outputs computer_call_output.output.image_url file_search_call.results message.input_image.image_url message.output_text.logprobs reasoning.encrypted_content
input
One of:
null
instructions
string | null
max_output_tokens
integer | null format: int32
max_tool_calls
integer | null format: int32
metadata
object | null
model
required
string
parallel_tool_calls
boolean | null
previous_response_id
string | null
prompt
One of:
null
prompt_cache_key
string | null
reasoning
One of:
null
safety_identifier
string | null
service_tier
string | null
store
boolean | null
stream
boolean | null
stream_options
One of:
null
temperature
number | null format: double
text
One of:
null
tool_choice
One of:
null
tools
array | null
One of:
object
description
string | null
name
required
string
parameters

This is a JSON schema object.

For more information, see: https://json-schema.org

object
strict
boolean | null
type
required
string
Allowed values: function
top_logprobs
integer | null format: int32
top_p
number | null format: double
truncation
string | null
user
string | null

A successful response.

object
background
boolean | null
conversation
One of:
null
created_at
required
number format: double
error
One of:
null
id
required
string
incomplete_details
One of:
null
instructions
One of:
null
max_output_tokens
integer | null format: int32
max_tool_calls
integer | null format: int32
metadata
object | null
model
required
string
object
required
string
output
required
Array
One of:
object
content
required
One of:
string
id
string | null
role
required
string
status
string | null
type
required
string
Allowed values: message
parallel_tool_calls
required
boolean
previous_response_id
string | null
prompt
One of:
null
prompt_cache_key
string | null
reasoning
One of:
null
safety_identifier
string | null
service_tier
string | null
status
One of:
null
temperature
number | null format: double
text
One of:
null
tool_choice
required
One of:
object
name
required
string
type
required
string
Allowed values: function
tools
required
Array
One of:
object
description
string | null
name
required
string
parameters

This is a JSON schema object.

For more information, see: https://json-schema.org

object
strict
boolean | null
type
required
string
Allowed values: function
top_logprobs
integer | null format: int32
top_p
number | null format: double
truncation
string | null
usage
required
object
input_tokens
required
integer format: int32
input_tokens_details
required
object
cached_tokens
required
integer format: int32
output_tokens
required
integer format: int32
output_tokens_details
required
object
reasoning_tokens
required
integer format: int32
total_tokens
required
integer format: int32
user
string | null